Index: src/Actions/FragmentationAction/FragmentationAutomationAction.cpp
===================================================================
--- src/Actions/FragmentationAction/FragmentationAutomationAction.cpp	(revision 1f76f3c0db8419b5c96fd12a77fcf7d63f64c657)
+++ src/Actions/FragmentationAction/FragmentationAutomationAction.cpp	(revision 7f85250f2873734c9d5ffecf9d9db2e664aa3334)
@@ -328,5 +328,5 @@
       dataiter != fragmentData.end(); ++dataiter) {
     const MPQCData &extractedData = *dataiter;
-    LOG(2, "DEBUG: Current extracted Data is " << extractedData << ".");
+    LOG(4, "DEBUG: Current extracted Data is " << extractedData << ".");
     MPQCDataEnergyMap_t instance;
     boost::fusion::at_key<MPQCDataFused::energy_total>(instance) = extractedData.energies.total;
@@ -354,5 +354,5 @@
       dataiter != longrangeData.end(); ++dataiter) {
     const VMGData &extractedData = *dataiter;
-    LOG(2, "DEBUG: Current extracted Data is " << extractedData << ".");
+    LOG(4, "DEBUG: Current extracted Data is " << extractedData << ".");
     VMGDataMap_t instance;
     boost::fusion::at_key<VMGDataFused::sampled_potential>(instance) = extractedData.sampled_potential;
@@ -377,5 +377,5 @@
   for(;dataiter != fragmentData.end(); ++dataiter, ++arrayiter) {
     const MPQCData &extractedData = *dataiter;
-    LOG(2, "DEBUG: Current extracted Data is " << extractedData << ".");
+    LOG(4, "DEBUG: Current extracted Data is " << extractedData << ".");
     MPQCDataForceMap_t instance;
     // must convert int to index_t
@@ -398,5 +398,5 @@
       dataiter != fragmentData.end(); ++dataiter) {
     const MPQCData &extractedData = *dataiter;
-    LOG(2, "DEBUG: Current extracted Data is " << extractedData << ".");
+    LOG(4, "DEBUG: Current extracted Data is " << extractedData << ".");
     MPQCDataGridMap_t instance;
     boost::fusion::at_key<MPQCDataFused::sampled_grid>(instance) = extractedData.sampled_grid;
@@ -416,5 +416,5 @@
       dataiter != fragmentData.end(); ++dataiter) {
     const MPQCData &extractedData = *dataiter;
-    LOG(2, "DEBUG: Current extracted Data is " << extractedData << ".");
+    LOG(4, "DEBUG: Current extracted Data is " << extractedData << ".");
     MPQCDataFragmentMap_t instance;
     boost::fusion::at_key<MPQCDataFused::fragment>(instance) =
@@ -435,5 +435,5 @@
       dataiter != fragmentData.end(); ++dataiter) {
     const MPQCData &extractedData = *dataiter;
-    LOG(2, "DEBUG: Current extracted Data is " << extractedData << ".");
+    LOG(4, "DEBUG: Current extracted Data is " << extractedData << ".");
     MPQCDataTimeMap_t instance;
     boost::fusion::at_key<MPQCDataFused::times_walltime>(instance) = extractedData.times.walltime;
Index: src/Fragmentation/SetValues/Histogram.cpp
===================================================================
--- src/Fragmentation/SetValues/Histogram.cpp	(revision 1f76f3c0db8419b5c96fd12a77fcf7d63f64c657)
+++ src/Fragmentation/SetValues/Histogram.cpp	(revision 7f85250f2873734c9d5ffecf9d9db2e664aa3334)
@@ -179,7 +179,9 @@
     for(BinLowerEnd offset = getLowerEnd(LowerEnd);
         offset < getLowerEnd(NextLowerEnd);
-        offset += binwidth)
+        offset += binwidth) {
+      LOG(4, "DEBUG: Extending below at offset " << offset << ".");
       bins.insert( std::make_pair (offset, 0. ) );
-//    LOG(2, "DEBUG: Bins after adding empties before start are " << printBins() << ".");
+    }
+    LOG(3, "DEBUG: Bins after adding empties before start are " << printBins() << ".");
     loweriter = getLowerEndBin(LowerEnd);
     ASSERT( loweriter != bins.end(),
@@ -189,8 +191,10 @@
     // we need bins after our last, add them
     for(BinLowerEnd offset = getLowerEnd(LowerEnd);
-        offset <= getLowerEnd(NextLowerEnd)+binwidth;
-        offset += binwidth)
+        offset <= getLowerEnd(NextLowerEnd)+(1.5*binwidth); /* for safety we go a little further */
+        offset += binwidth) {
+      LOG(4, "DEBUG: Extending above at offset " << offset << ".");
       bins.insert( std::make_pair (offset, 0. ) );
-//    LOG(2, "DEBUG: Bins after adding empties after end are " << printBins() << ".");
+    }
+    LOG(3, "DEBUG: Bins after adding empties after end are " << printBins() << ".");
     upperiter = getHigherEndBin(NextLowerEnd);
     ASSERT( upperiter != bins.end(),
@@ -209,5 +213,5 @@
     const Bin_t &nextbin = *biniter;
 
-//    LOG(2, "DEBUG: Current bin is " << bin << ", next bin is " << nextbin << ".");
+    LOG(4, "DEBUG: Current bin is " << bin << ", next bin is " << nextbin << ".");
 
     // Check first whether start or end actually fit into our histogram, if not extend.
@@ -222,6 +226,6 @@
     ASSERT( loweriter->first < upperiter->first,
         "Histogram::superposeOtherHistogram() - the bin range is invalid.");
-//    LOG(2, "DEBUG: bin range here is ["
-//        << loweriter->first << ","  << upperiter->first << ").");
+    LOG(4, "DEBUG: bin range here is ["
+        << loweriter->first << ","  << upperiter->first << ").");
 
     // Next, we create a vector of offsets
@@ -236,5 +240,5 @@
       if (offsets.back() != nextbin.first)
         offsets.push_back(nextbin.first);
-//      LOG(2, "DEBUG: Offsets are " << offsets << ".");
+      LOG(3, "DEBUG: Offsets are " << offsets << ".");
     }
 
